System.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object

Use the class to store information or metadata directly in an XML signature. For example, you can store the signature generation date or the signer's identity. The class may or may not be covered by the XML signature.

The class corresponds to the <Object> element in the World Wide Web Consortium (W3C) specification for XML Signatures. For more information about the W3C specification, see http://www.w3.org/TR/xmldsig-core/.

Represents the object element of an XML signature that holds data to be signed.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The class is used with XML signatures. After you have initialized the , you can assign the and properties.

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The class is used with XML signatures. The parameter refers to the name of the element that contains the data to be used. The parameter refers to the XML node list that contains the parameter element.

  Initializes a new instance of the class with the specified identification, MIME type, encoding, and data.

  The identification to initialize the new instance of with.
  The MIME type of the data used to initialize the new instance of .
  The encoding of the data used to initialize the new instance of .
  The data to initialize the new instance of with.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeList a

  This property is the XML node list that contains the element described in the property.

  Gets or sets the data value of the current object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String a

  The default value of this property is null, which indicates that no encoding is present.

  Gets or sets the encoding of the current object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlElement

  Use this method to output XML for a .

  Returns the XML representation of the object.

  The XML representation of the object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String a

  The identification is used to reference the from another location. The default value of this property is null, which implies that no identification is present. This property is commonly referenced by the property.

  Gets or sets the identification of the current object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method can be used to add additional XML elements to a object.

  Loads a state from an XML element.

  The XML element to load the state from.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String a

  The MIME type describes the data within the .

  Gets or sets the MIME type of the current object.